Bug 8230 - hal-manager not requires to python bonobo binding
: hal-manager not requires to python bonobo binding
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/hal)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-10-15 23:33 by
Modified: 2007-02-12 14:29 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-10-15 23:33:17
У hal-manager нет зависимости на  
python-module-pygnome-bonobo  
 
Steps to Reproduce:
1.  
$ hal-device-manager   
2.  
3.  
Actual Results:  
ImportError: could not import bonobo.ui  
 ...
------- Comment #1 From 2006-12-18 10:32:18 -------
О как!...

[root@iceberg ~]# apt-get install hal-manager
Reading Package Lists... Done
Building Dependency Tree... Done
The following NEW packages will be installed:
  hal-manager
0 upgraded, 1 newly installed, 0 removed and 2 not upgraded.
Need to get 0B/76.0kB of archives.
After unpacking 183kB of additional disk space will be used.
Committing changes...
Preparing...                               
###################################################################################################
[100%]
1: hal-manager                             
###################################################################################################
[100%]
Done.
[root@iceberg ~]# rpm -q --requires hal-manager
hal = 0.5.7-alt4.1
python-module-pygtk >= 2.5.0
python-module-pygtk-libglade >= 2.5.0
python-module-pygnome >= 2.9.1
python-module-pyorbit >= 2.0.1
/bin/sh
/bin/sh
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1
coreutils
python2.4(dbus)
python2.4(gobject)
python2.4(gtk)
[root@iceberg ~]# rpm -e python-module-pygnome-bonobo  --test
error: package python-module-pygnome-bonobo is not installed
[root@iceberg ~]# hal-manager
-bash: hal-manager: command not found
[root@iceberg ~]# hal-device-manager
ImportError: could not import bonobo.ui
Traceback (most recent call last):
  File "/usr/share/hal/device-manager/DeviceManager.py", line 32, in
on_about_activate
    gnome.ui.About(Const.NAME_LONG, Const.VERSION, Const.COPYRIGHT,
AttributeError: 'module' object has no attribute 'About'
[root@iceberg ~]# apt-get install python-module-pygnome-bonobo
Reading Package Lists... Done
Building Dependency Tree... Done
The following extra packages will be installed:
  python-module-pygnome-canvas
The following NEW packages will be installed:
  python-module-pygnome-bonobo python-module-pygnome-canvas
0 upgraded, 2 newly installed, 0 removed and 2 not upgraded.
Need to get 0B/69.8kB of archives.
After unpacking 175kB of additional disk space will be used.
Do you want to continue? [Y/n]
Committing changes...
Preparing...                               
###################################################################################################
[100%]
1: python-module-pygnome-canvas            
###################################################################################################
[ 50%]
2: python-module-pygnome-bonobo            
###################################################################################################
[100%]
Done.
[root@iceberg ~]# hal-device-manager
[root@iceberg ~]#

Думал пересборка поможет.
[icesik@iceberg RPMS.hasher]$ rpm -qp --requires hal-manager-0.5.7-alt4.1.1.i586.rpm
hal = 0.5.7-alt4.1.1
python-module-pygtk >= 2.5.0
python-module-pygtk-libglade >= 2.5.0
python-module-pygnome >= 2.9.1
python-module-pyorbit >= 2.0.1
/bin/sh
/bin/sh
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1
coreutils
python2.4(dbus)
python2.4(gobject)
python2.4(gtk)
[icesik@iceberg RPMS.hasher]$

Как оказалось, нет. Придётся руками добавить в следующей сборке
------- Comment #2 From 2006-12-28 03:22:58 -------
Будет исправлено в следующей сборке.
------- Comment #3 From 2007-01-03 17:02:40 -------
(In reply to comment #2)
> Будет исправлено в следующей сборке.

fixed in hal-0.5.7-alt4.1.1.1.1.src.rpm